%define oname	FlightCrew

%define api	0.9.1
%define libname	%mklibname %{name} %{api}
%define devname	%mklibname %{name} -d

Name:		flightcrew
Version:	0.9.1
Release:	%mkrel 5
Summary:	A C++, cross-platform, native code epub validator
License:	GPLv3 and LGPLv3
Group:		Office
Url:		https://github.com/Sigil-Ebook/flightcrew
Source0:	https://github.com/Sigil-Ebook/flightcrew/archive/%{version}/%{name}-%{version}.tar.xz
Patch0:		flightcrew-0.9.0-CMakeLists.patch
Patch1:		flightcrew-0.9.0-boost-scoped_ptr.patch
BuildRequires:	cmake
BuildRequires:	qttools5
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(xerces-c)

%description
FlightCrew is a C++, cross-platform, native code epub validator.
It is composed of three parts:

  * FlightCrew, the validation library
  * FlightCrew-cli, the command-line front-end to the FlightCrew library
  * FlightCrew-gui, the GUI front-end to the FlightCrew library
  * FlightCrew-plugin, the plugin to the FlightCrew library

It was initially created for Sigil, the epub editor.

%package	common
Summary:	A C++, cross-platform, native code epub validator
Group:		Office

%description	common
FlightCrew is a C++, cross-platform, native code epub validator.
It is composed of three parts:

  * FlightCrew, the validation library
  * FlightCrew-cli, the command-line front-end to the FlightCrew library
  * FlightCrew-gui, the GUI front-end to the FlightCrew library
  * FlightCrew-plugin, the plugin to the FlightCrew library

It was initially created for Sigil, the epub editor.

%package	cli
Summary:	command line tool for FlightCrew
Group:		Office
Requires:	%{name}-common = %{version}-%{release}

%description	cli
FlightCrew is a C++, cross-platform, native code epub validator.
This package contains the command line tool for FlightCrew.

%package	gui
Summary:	Qt5 graphical front-end for FlightCrew
Group:		Office
Requires:	%{name}-cli = %{version}-%{release}
Provides:	flightcrew

%description	gui
FlightCrew is a C++, cross-platform, native code epub validator.
This package contains the Qt5 graphical front-end for FlightCrew.

%package	plugin
Summary:	Plugin for FlightCrew
Group:		Office
Requires:	%{name}-common = %{version}-%{release}

%description	plugin
FlightCrew is a C++, cross-platform, native code epub validator.
This package contains the plugin for FlightCrew.

%package -n	%{libname}
Summary:	Shared libs for %{name}
Group:		System/Libraries

%description -n	%{libname}
Shared libs for %{name}.

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	flightcrew-devel < 0.7.2-2

%description -n	%{devname}
Development files for %{name}.

%prep
%setup -q
%apply_patches

%build
%cmake \
	-DBUILD_SHARED_FC=ON \
	-DBUILD_SHARED_XE=ON \
	-DNO_TEST_EXE=ON \
	-DBUILD_SHARED_ZI=ON
%make_build

%install
rm -rf %buildroot
%make_install -C build

%files common
%doc ChangeLog.txt COPYING*.txt README.txt

%files cli
%{_bindir}/%{name}-cli

%files gui
%{_bindir}/%{name}-gui

%files plugin
%{_bindir}/%{name}-plugin

%files -n %{libname}
%{_libdir}/lib*.so.%{api}

%files -n %{devname}
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/cmake/*
%exclude %{_includedir}/zipios/
%exclude %{_libdir}/libzipios.so


%changelog
* Sat Sep 17 2022 tex - 0.9.1-5pclos2022
- rebuild against updates

* Sun Sep 12 2021 tex - 0.9.1-4pclos2021
- rebuild against updates

* Sat Oct 31 2020 tex - 0.9.1-3pclos2020
- rebuild against updates

* Sat Jun 01 2019 tex - 0.9.1-2pclos2019
- rebuild against updates

* Fri Aug 10 2018 tex - 0.9.1-1pclos2018
- new version

* Sun Sep 24 2017 bb2 <bb2> - 0.9.0-1pclos2017
- new version
- new gcc
